<?php
/**
 * @package Demo Import
 * @since 1.0.0
 */

class ThemeWhizzie {

	protected $version = '1.1.0';

	/** @var string Current theme name, used as namespace in actions. */
	protected $theme_name = '';
	protected $theme_title = '';

	/** @var string Demo Import page slug and title. */
	protected $page_slug = '';
	protected $page_title = '';

	/** @var array Demo Import steps set by user. */
	protected $config_steps = array();
	public $parent_slug;
	/**
	 * Constructor
	 *
	 * @param $consultant_appointment_config	Our config parameters
	*/
	public function __construct( $consultant_appointment_config ) {
		$this->set_vars( $consultant_appointment_config );
		$this->init();
	}

	/**
	 * Set some settings
	 * @since 1.0.0
	 * @param $consultant_appointment_config	Our config parameters
	*/
	public function set_vars( $consultant_appointment_config ) {
		if( isset( $consultant_appointment_config['page_slug'] ) ) {
			$this->page_slug = esc_attr( $consultant_appointment_config['page_slug'] );
		}
		if( isset( $consultant_appointment_config['page_title'] ) ) {
			$this->page_title = esc_attr( $consultant_appointment_config['page_title'] );
		}
		if( isset( $consultant_appointment_config['steps'] ) ) {
			$this->config_steps = $consultant_appointment_config['steps'];
		}

		$current_theme = wp_get_theme();
		$this->theme_title = $current_theme->get( 'Name' );
		$this->theme_name = strtolower( preg_replace( '#[^a-zA-Z]#', '', $current_theme->get( 'Name' ) ) );
		$this->page_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_page_slug', $this->theme_name . '-demoimport' );
		$this->parent_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_parent_slug', '' );
	}

	/**
	 * Hooks and filters
	 * @since 1.0.0
	*/
	public function init() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		add_action( 'admin_menu', array( $this, 'menu_page' ) );
		add_action( 'wp_ajax_setup_widgets', array( $this, 'setup_widgets' ) );
	}

	public function enqueue_scripts() {
		wp_enqueue_style( 'demo-import-style', get_template_directory_uri() . '/demo-import/assets/css/demo-import-style.css');
		wp_register_script( 'demo-import-script', get_template_directory_uri() . '/demo-import/assets/js/demo-import-script.js', array( 'jquery' ), time() );
		wp_localize_script(
			'demo-import-script',
			'consultant_appointment_whizzie_params',
			array(
				'ajaxurl' 		=> admin_url( 'admin-ajax.php' ),
				'wpnonce' 		=> wp_create_nonce( 'whizzie_nonce' ),
				'verify_text'	=> esc_html( 'verifying', 'consultant-appointment' )
			)
		);
		wp_enqueue_script( 'demo-import-script' );
	}

	/**  Make a modal screen for the wizard **/
	public function menu_page() {
		add_menu_page( esc_html( $this->page_title ), esc_html( $this->page_title ), 'manage_options', $this->page_slug, array( $this, 'consultant_appointment_guide' ) ,'',40);
	}

	/** Make an interface for the wizard **/
	public function wizard_page() {
		/* If we arrive here, we have the filesystem */ ?>
		<div class="wrap">
			<?php echo '<div class="whizzie-wrap">';
				// The wizard is a list with only one item visible at a time
				$steps = $this->get_steps();
				echo '<ul class="whizzie-nav wizard-icon-nav">';?>
				<?php
					$stepI=1;
					foreach( $steps as $step ) {
						$stepAct=($stepI ==1)? 1 : 0;
						if( isset( $step['icon_text'] ) && $step['icon_text'] ) {
							echo '<li class="commom-cls nav-step-' . esc_attr( $step['id'] ) . '" wizard-steps="step-'.esc_attr( $step['id'] ).'" data-enable="'.$stepAct.'">
							<p>'.esc_attr( $step['icon_text'] ).'</p>
							</li>';
						}
					$stepI++;}
			 	echo '</ul>';
				echo '<ul class="whizzie-menu wizard-menu-page">';
				foreach( $steps as $step ) {
					$class = 'step step-' . esc_attr( $step['id'] );
					echo '<li data-step="' . esc_attr( $step['id'] ) . '" class="' . esc_attr( $class ) . '" >';
						$content = call_user_func( array( $this, $step['view'] ) );
						printf('<div class="wizard-button-wrapper">');
							if( isset( $step['button_text_one'] )) {
								printf(
									'<div class="button-wrap button-wrap-one">
										<a href="#" class="button button-primary do-it" data-callback="install_widgets" data-step="widgets"><p class="demo-type-text">%s</p></a>
									</div>',
									esc_html( $step['button_text_one'] )
								);
							}
						printf('</div>');
					echo '</li>';
				}
				echo '</ul>';
				?>
				<div class="step-loading"><span class="spinner">
					<img src="<?php echo esc_url(get_template_directory_uri().'/demo-import/assets/images/Spinner-Animaion.gif'); ?>">
				</span></div>
			<?php echo '</div>';?>
		</div>
	<?php }

	/**
	 * Set options for the steps
	 * @return Array
	*/
	public function get_steps() {
		if ( get_option('consultant_appointment_demo_imported') ) {
			return array(
				'done' => array(
					'id'        => 'done',
					'title'     => __( 'All Done', 'consultant-appointment' ),
					'icon'      => 'yes',
					'view'      => 'get_step_done',
					'callback'  => '',
					'icon_text' => 'View Site'
				)
			);
		}
		$dev_steps = $this->config_steps;
		$steps = array(
			'widgets' => array(
				'id'			=> 'widgets',
				'title'			=> __( 'Customizer', 'consultant-appointment' ),
				'icon'			=> 'welcome-widgets-menus',
				'view'			=> 'get_step_widgets',
				'callback'		=> 'install_widgets',
				'button_text_one'	=> __( 'Import Demo', 'consultant-appointment' ),
				'can_skip'		=> true,
				'icon_text'      => 'Import Demo'
			),
			'done' => array(
				'id'			=> 'done',
				'title'			=> __( 'All Done', 'consultant-appointment' ),
				'icon'			=> 'yes',
				'view'			=> 'get_step_done',
				'callback'		=> '',
				'icon_text'      => 'Done'
			)
		);
		// Iterate through each step and replace with dev config values
		if( $dev_steps ) {
			// Configurable elements - these are the only ones the dev can update from config.php
			$can_config = array( 'title', 'icon', 'button_text', 'can_skip' );
			foreach( $dev_steps as $dev_step ) {
				// We can only proceed if an ID exists and matches one of our IDs
				if( isset( $dev_step['id'] ) ) {
					$id = $dev_step['id'];
					if( isset( $steps[$id] ) ) {
						foreach( $can_config as $element ) {
							if( isset( $dev_step[$element] ) ) {
								$steps[$id][$element] = $dev_step[$element];
							}
						}
					}
				}
			}
		}
		return $steps;
	}

	/**    Print the content for the intro step     **/
		public function get_step_importer() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('Thank you for choosing this Consultant Appointment Theme. Using this quick setup wizard, you will be able to configure your new website and get it running in just a few minutes. Just follow these simple steps mentioned in the wizard and get started with your website.','consultant-appointment'); ?>
			</p>
		</div>
	<?php }

	/**   Print the content for the widgets step   **/
	public function get_step_widgets() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('This theme allows you to import demo content and add widgets. Install them using the button below. You can also update or deactivate them using the Customizer.','consultant-appointment'); ?>
			</p>
		</div>
	<?php }

	/** Print the content for the final step **/
	public function get_step_done() { ?>

		<div class="setup-finish">
			<p>
				<?php echo esc_html('Your demo content has been imported successfully. Click the finish button for more information.'); ?>
			</p>
			<div class="finish-buttons">
				<a href="<?php echo esc_url( admin_url( 'themes.php?page=consultant-appointment-getstart-page' ) ); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('About Consultant Appointment','consultant-appointment') ?></a>
				<a href="<?php echo esc_url(admin_url('/customize.php')); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('Customize Your Demo','consultant-appointment') ?></a>
				<a href="<?php echo esc_url(home_url()); ?>" class="wz-btn-visit-site" target="_blank"><?php esc_html_e('Visit Your Site','consultant-appointment'); ?></a>
			</div>
			<div class="finish-buttons">
				<a href="<?php echo esc_url(admin_url()); ?>" class="button button-primary"><?php esc_html_e('Finish','consultant-appointment'); ?></a>
			</div>
		</div>

	<?php }


	public function consultant_appointment_customizer_nav_menu() {
		// ------- Create Primary Menu --------
		$consultant_appointment_themename = 'Consultant Appointment'; // Ensure the theme name is set
		$consultant_appointment_menuname = $consultant_appointment_themename . ' Primary Menu';
		$consultant_appointment_menulocation = 'menu-1';
		$consultant_appointment_menu_exists = wp_get_nav_menu_object($consultant_appointment_menuname);

		if (!$consultant_appointment_menu_exists) {
			$consultant_appointment_menu_id = wp_create_nav_menu($consultant_appointment_menuname);

			// Home
			wp_update_nav_menu_item($consultant_appointment_menu_id, 0, array(
				'menu-item-title' => __('Home', 'consultant-appointment'),
				'menu-item-classes' => 'home',
				'menu-item-url' => home_url('/'),
				'menu-item-status' => 'publish'
			));

			// About
			$consultant_appointment_page_about = get_page_by_path('about');
			if($consultant_appointment_page_about){
				wp_update_nav_menu_item($consultant_appointment_menu_id, 0, array(
					'menu-item-title' => __('About', 'consultant-appointment'),
					'menu-item-classes' => 'about',
					'menu-item-url' => get_permalink($consultant_appointment_page_about),
					'menu-item-status' => 'publish'
				));
			}

			// Services
			$consultant_appointment_page_services = get_page_by_path('services');
			if($consultant_appointment_page_services){
				wp_update_nav_menu_item($consultant_appointment_menu_id, 0, array(
					'menu-item-title' => __('Services', 'consultant-appointment'),
					'menu-item-classes' => 'services',
					'menu-item-url' => get_permalink($consultant_appointment_page_services),
					'menu-item-status' => 'publish'
				));
			}

			// Blog
			$consultant_appointment_page_blog = get_page_by_path('blog');
			if($consultant_appointment_page_blog){
				wp_update_nav_menu_item($consultant_appointment_menu_id, 0, array(
					'menu-item-title' => __('Blog', 'consultant-appointment'),
					'menu-item-classes' => 'blog',
					'menu-item-url' => get_permalink($consultant_appointment_page_blog),
					'menu-item-status' => 'publish'
				));
			}

			// Contact Us
			$consultant_appointment_page_contact = get_page_by_path('contact');
			if($consultant_appointment_page_contact){
				wp_update_nav_menu_item($consultant_appointment_menu_id, 0, array(
					'menu-item-title' => __('Contact Us', 'consultant-appointment'),
					'menu-item-classes' => 'contact',
					'menu-item-url' => get_permalink($consultant_appointment_page_contact),
					'menu-item-status' => 'publish'
				));
			}

			// Assign menu to location if not set
			if (!has_nav_menu($consultant_appointment_menulocation)) {
				$consultant_appointment_locations = get_theme_mod('nav_menu_locations');
				$consultant_appointment_locations[$consultant_appointment_menulocation] = $consultant_appointment_menu_id; // Use $consultant_appointment_menu_id here
				set_theme_mod('nav_menu_locations', $consultant_appointment_locations);
			}
		}
	}

	public function consultant_appointment_social_menu() {

		// ------- Create Social Menu --------
		$consultant_appointment_menuname = $consultant_appointment_themename . 'Social Menu';
		$consultant_appointment_menulocation = 'social-menu';
		$consultant_appointment_menu_exists = wp_get_nav_menu_object( $consultant_appointment_menuname );

		if( !$consultant_appointment_menu_exists){
			$consultant_appointment_menu_id = wp_create_nav_menu($consultant_appointment_menuname);

			wp_update_nav_menu_item( $consultant_appointment_menu_id, 0, array(
				'menu-item-title'  => __( 'Facebook', 'consultant-appointment' ),
				'menu-item-url'    => 'https://www.facebook.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $consultant_appointment_menu_id, 0, array(
				'menu-item-title'  => __( 'Pinterest', 'consultant-appointment' ),
				'menu-item-url'    => 'https://www.pinterest.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $consultant_appointment_menu_id, 0, array(
				'menu-item-title'  => __( 'Twitter', 'consultant-appointment' ),
				'menu-item-url'    => 'https://www.twitter.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $consultant_appointment_menu_id, 0, array(
				'menu-item-title'  => __( 'Youtube', 'consultant-appointment' ),
				'menu-item-url'    => 'https://www.youtube.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $consultant_appointment_menu_id, 0, array(
				'menu-item-title'  => __( 'Instagram', 'consultant-appointment' ),
				'menu-item-url'    => 'https://www.instagram.com',
				'menu-item-status' => 'publish',
			) );

			if( !has_nav_menu( $consultant_appointment_menulocation ) ){
					$locations = get_theme_mod('nav_menu_locations');
					$locations[$consultant_appointment_menulocation] = $consultant_appointment_menu_id;
					set_theme_mod( 'nav_menu_locations', $locations );
			}
		}
	}

	/**
	* Imports the Demo Content
	* @since 1.1.0
	*/
	public function setup_widgets() {

		//................................................. MENU PAGES .................................................//
		
		$consultant_appointment_home_id='';
		$consultant_appointment_home_content = '';

		$consultant_appointment_home_title = 'Home';
		$consultant_appointment_home = array(
				'post_type' => 'page',
				'post_title' => $consultant_appointment_home_title,
				'post_content'  => $consultant_appointment_home_content,
				'post_status' => 'publish',
				'post_author' => 1,
				'post_slug' => 'home'
		);
		$consultant_appointment_home_id = wp_insert_post($consultant_appointment_home);

		//Set the home page template
		add_post_meta( $consultant_appointment_home_id, '_wp_page_template', 'revolution-home.php' );

		//Set the static front page
		$consultant_appointment_home = get_page_by_title( 'Home' );
		update_option( 'page_on_front', $consultant_appointment_home->ID );
		update_option( 'show_on_front', 'page' );


		// Create a posts page and assign the template
		$consultant_appointment_blog_title = 'Blog';
		$consultant_appointment_blog_check = get_page_by_path('blog');
		if (!$consultant_appointment_blog_check) {
			$consultant_appointment_blog = array(
				'post_type'    => 'page',
				'post_title'   => $consultant_appointment_blog_title,
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'blog' // Unique slug for the blog page
			);
			$consultant_appointment_blog_id = wp_insert_post($consultant_appointment_blog);

			// Set the posts page
			if (!is_wp_error($consultant_appointment_blog_id)) {
				update_option('page_for_posts', $consultant_appointment_blog_id);
			}
		}

		// Create a Contact Us page and assign the template
		$consultant_appointment_contact_title = 'Contact Us';
		$consultant_appointment_contact_check = get_page_by_path('contact');
		if (!$consultant_appointment_contact_check) {
			$consultant_appointment_contact = array(
				'post_type'    => 'page',
				'post_title'   => $consultant_appointment_contact_title,
				'post_content'   => '"More About The Free Appointment WordPress Theme"
									The Free Appointment WordPress Theme offers a highly customizable and user-friendly solution for businesses looking to manage online appointments with efficiency. Designed with a focus on simplicity, this theme ensures a smooth and seamless experience for both administrators and clients. Whether you\'re running a salon, fitness center, medical practice, pet care service, or any other business requiring appointment booking, this theme provides all the necessary tools to schedule, track, and manage appointments with ease. The theme’s clean and modern design ensures that the booking process is intuitive, allowing clients to easily navigate through available services and book appointments without confusion. With built-in features like appointment reminders, confirmation emails, and easy scheduling options, it offers a professional and reliable platform for businesses to streamline their operations.

									With its mobile-friendly design, the Free Appointment WordPress Theme ensures that your customers can easily book appointments on the go, whether they are using smartphones, tablets, or desktops. The theme’s responsive layout automatically adjusts to different screen sizes, ensuring that your website looks stunning and functions smoothly across all devices. Additionally, the theme is compatible with popular appointment scheduling plugins, allowing businesses to integrate advanced booking features and enhance functionality. Whether you need to manage appointments for salons, medical practices, or fitness centers, the theme’s flexibility ensures it can be customized to meet your specific needs. With features like customizable booking forms, confirmation emails, and reminder notifications, this theme offers a comprehensive solution for businesses to streamline their appointment scheduling process and improve customer satisfaction.

									In addition, the Free Appointment WordPress Theme offers robust performance and SEO features, ensuring your site ranks higher in search engine results and attracts more clients. With faster page load times and clean, optimized code, the theme enhances user experience by providing a smooth, seamless browsing process. This not only improves client satisfaction but also increases the chances of them returning for future bookings. The theme’s customizable options allow businesses to personalize the design and functionality to fit their specific needs, whether they are scheduling appointments for salons, medical practices, or other services. Combined with its beautiful, modern design, the Free Appointment WordPress Theme helps businesses create a professional online presence. It’s an essential tool for any business looking to streamline appointment management, engage clients effectively, and ensure a seamless, hassle-free booking process for both administrators and customers.',
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'contact' // Unique slug for the Contact Us page
			);
			wp_insert_post($consultant_appointment_contact);
		}

		// Create a About page and assign the template
		$consultant_appointment_about_title = 'About';
		$consultant_appointment_about_check = get_page_by_path('about');
		if (!$consultant_appointment_about_check) {
			$consultant_appointment_about = array(
				'post_type'    => 'page',
				'post_title'   => $consultant_appointment_about_title,
				'post_content'   => '"More About The Free Appointment WordPress Theme"
									The Free Appointment WordPress Theme offers a highly customizable and user-friendly solution for businesses looking to manage online appointments with efficiency. Designed with a focus on simplicity, this theme ensures a smooth and seamless experience for both administrators and clients. Whether you\'re running a salon, fitness center, medical practice, pet care service, or any other business requiring appointment booking, this theme provides all the necessary tools to schedule, track, and manage appointments with ease. The theme’s clean and modern design ensures that the booking process is intuitive, allowing clients to easily navigate through available services and book appointments without confusion. With built-in features like appointment reminders, confirmation emails, and easy scheduling options, it offers a professional and reliable platform for businesses to streamline their operations.

									With its mobile-friendly design, the Free Appointment WordPress Theme ensures that your customers can easily book appointments on the go, whether they are using smartphones, tablets, or desktops. The theme’s responsive layout automatically adjusts to different screen sizes, ensuring that your website looks stunning and functions smoothly across all devices. Additionally, the theme is compatible with popular appointment scheduling plugins, allowing businesses to integrate advanced booking features and enhance functionality. Whether you need to manage appointments for salons, medical practices, or fitness centers, the theme’s flexibility ensures it can be customized to meet your specific needs. With features like customizable booking forms, confirmation emails, and reminder notifications, this theme offers a comprehensive solution for businesses to streamline their appointment scheduling process and improve customer satisfaction.

									In addition, the Free Appointment WordPress Theme offers robust performance and SEO features, ensuring your site ranks higher in search engine results and attracts more clients. With faster page load times and clean, optimized code, the theme enhances user experience by providing a smooth, seamless browsing process. This not only improves client satisfaction but also increases the chances of them returning for future bookings. The theme’s customizable options allow businesses to personalize the design and functionality to fit their specific needs, whether they are scheduling appointments for salons, medical practices, or other services. Combined with its beautiful, modern design, the Free Appointment WordPress Theme helps businesses create a professional online presence. It’s an essential tool for any business looking to streamline appointment management, engage clients effectively, and ensure a seamless, hassle-free booking process for both administrators and customers.',
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'about' // Unique slug for the About page
			);
			wp_insert_post($consultant_appointment_about);
		}

		// Create a Services page and assign the template
		$consultant_appointment_services_title = 'Services';
		$consultant_appointment_services_check = get_page_by_path('services');
		if (!$consultant_appointment_services_check) {
			$consultant_appointment_services = array(
				'post_type'    => 'page',
				'post_title'   => $consultant_appointment_services_title,
				'post_content'   => '"More About The Free Appointment WordPress Theme"
									The Free Appointment WordPress Theme offers a highly customizable and user-friendly solution for businesses looking to manage online appointments with efficiency. Designed with a focus on simplicity, this theme ensures a smooth and seamless experience for both administrators and clients. Whether you\'re running a salon, fitness center, medical practice, pet care service, or any other business requiring appointment booking, this theme provides all the necessary tools to schedule, track, and manage appointments with ease. The theme’s clean and modern design ensures that the booking process is intuitive, allowing clients to easily navigate through available services and book appointments without confusion. With built-in features like appointment reminders, confirmation emails, and easy scheduling options, it offers a professional and reliable platform for businesses to streamline their operations.

									With its mobile-friendly design, the Free Appointment WordPress Theme ensures that your customers can easily book appointments on the go, whether they are using smartphones, tablets, or desktops. The theme’s responsive layout automatically adjusts to different screen sizes, ensuring that your website looks stunning and functions smoothly across all devices. Additionally, the theme is compatible with popular appointment scheduling plugins, allowing businesses to integrate advanced booking features and enhance functionality. Whether you need to manage appointments for salons, medical practices, or fitness centers, the theme’s flexibility ensures it can be customized to meet your specific needs. With features like customizable booking forms, confirmation emails, and reminder notifications, this theme offers a comprehensive solution for businesses to streamline their appointment scheduling process and improve customer satisfaction.

									In addition, the Free Appointment WordPress Theme offers robust performance and SEO features, ensuring your site ranks higher in search engine results and attracts more clients. With faster page load times and clean, optimized code, the theme enhances user experience by providing a smooth, seamless browsing process. This not only improves client satisfaction but also increases the chances of them returning for future bookings. The theme’s customizable options allow businesses to personalize the design and functionality to fit their specific needs, whether they are scheduling appointments for salons, medical practices, or other services. Combined with its beautiful, modern design, the Free Appointment WordPress Theme helps businesses create a professional online presence. It’s an essential tool for any business looking to streamline appointment management, engage clients effectively, and ensure a seamless, hassle-free booking process for both administrators and customers.',
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'services' // Unique slug for the Services page
			);
			wp_insert_post($consultant_appointment_services);
		}


		// ------------------------------------------ Header -------------------------------------- //

			set_theme_mod('consultant_appointment_header_info_phone','+900-300-600');

			set_theme_mod('consultant_appointment_facebook_link_option','#');
			set_theme_mod('consultant_appointment_twitter_link_option','#');
			set_theme_mod('consultant_appointment_pinterest_link_option','#');
			set_theme_mod('consultant_appointment_instagram_link_option','#');
			set_theme_mod('consultant_appointment_youtube_link_option','#');
			set_theme_mod('consultant_appointment_linked_link_option','#');

			set_theme_mod( 'consultant_appointment_enable_slider', 1 );
			set_theme_mod( 'consultant_appointment_enable_event', 1 );
			

		// ------------------------------------------ Slider Section -------------------------------------- //

			for($i=1;$i<=3;$i++){
				set_theme_mod( 'consultant_appointment_slider_image'.$i,get_template_directory_uri().'/revolution/assets/images/slider'.$i.'.png' );
				set_theme_mod( 'consultant_appointment_slider_top_text'.$i, 'BATTER LIFE NEEDS BETTER CARE' );
				set_theme_mod( 'consultant_appointment_slider_heading'.$i, 'MEET THE BEST DOCTORS' );
				set_theme_mod( 'consultant_appointment_slider_text'.$i, 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s.' );
				set_theme_mod( 'consultant_appointment_slider_button1_text'.$i, 'READ MORE' );
				set_theme_mod( 'consultant_appointment_slider_button1_link'.$i, '#' );
			}


		// ------------------------------------------ Services Section -------------------------------------- //

			set_theme_mod('consultant_appointment_posts_to_show','3');
			set_theme_mod('consultant_appointment_servicesec_heading','OUR PRICING PLANS');
			set_theme_mod('consultant_appointment_servicesec_content','Lorem ipsum dolor sit amet. Lorem ipsum dolor ame con- setetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt');

			$consultant_appointment_plan_icon = array('fas fa-dollar-sign', 'fas fa-hand-holding-heart', 'fas fa-headset');
			$consultant_appointment_plan_prices = array('150$', '250$', '350$');
			$consultant_appointment_plan_features = array('Initial Full Checkup', 'Blood Testing', '24h Doctor Assistance');

			for ($consultant_appointment_i = 1; $consultant_appointment_i <= 3; $consultant_appointment_i++) {
				set_theme_mod('consultant_appointment_services_icon' . $consultant_appointment_i, $consultant_appointment_plan_icon[$consultant_appointment_i - 1]);
				set_theme_mod('consultant_appointment_courses_prices' . $consultant_appointment_i, $consultant_appointment_plan_prices[$consultant_appointment_i - 1]);

				for ($consultant_appointment_j = 1; $consultant_appointment_j <= 3; $consultant_appointment_j++) {
					set_theme_mod('consultant_appointment_post' . $consultant_appointment_i . '_feature_heading' . $consultant_appointment_j, $consultant_appointment_plan_features[$consultant_appointment_j - 1]);
				}
			}

			wp_delete_post(1);
			$blog_title=array('CHECKUP','FULL EXAMINATION','ADMITTANCE');
			for($i=1;$i<=3;$i++){
				$title =$blog_title[$i-1];
				$content = 'Lorem Ipsum is simply dummy text';

				// Create post object
				$my_post = array(
					'post_title'    => wp_strip_all_tags( $title ),
					'post_content'  => $content,
					'post_status'   => 'publish',
					'post_type'     => 'post',
				);

				// Insert the post into the database
				$post_id = wp_insert_post( $my_post );

				$image_url = get_template_directory_uri().'/revolution/assets/images/blogs1.png';

				$image_name= 'blogs1.png';
				$upload_dir       = wp_upload_dir();
				// Set upload folder
				$image_data       = file_get_contents($image_url);
				// Get image data
				$unique_file_name = wp_unique_filename( $upload_dir['path'], $image_name );
				// Generate unique name
				$filename= basename( $unique_file_name );
				// Create image file name
				// Check folder permission and define file location
				if( wp_mkdir_p( $upload_dir['path'] ) ) {
					 $file = $upload_dir['path'] . '/' . $filename;
				} else {
					 $file = $upload_dir['basedir'] . '/' . $filename;
				}
				// Create the image  file on the server
				if ( ! function_exists( 'WP_Filesystem' ) ) {
					require_once( ABSPATH . 'wp-admin/includes/file.php' );
				}

				WP_Filesystem();
				global $wp_filesystem;

				if ( ! $wp_filesystem->put_contents( $file, $image_data, FS_CHMOD_FILE ) ) {
					wp_die( 'Error saving file!' );
				}
				// Check image file type
				$wp_filetype = wp_check_filetype( $filename, null );
				// Set attachment data
				$attachment = array(
				 'post_mime_type' => $wp_filetype['type'],
				 'post_title'     => sanitize_file_name( $filename ),
				 'post_content'   => '',
				 'post_type'     => 'post',
				 'post_status'    => 'inherit'
				);
				// Create the attachment
				$attach_id = wp_insert_attachment( $attachment, $file, $post_id );
				// Include image.php
				require_once(ABSPATH . 'wp-admin/includes/image.php');
				// Define attachment metadata
				$attach_data = wp_generate_attachment_metadata( $attach_id, $file );
				// Assign metadata to attachment
				 wp_update_attachment_metadata( $attach_id, $attach_data );
				// And finally assign featured image to post
				set_post_thumbnail( $post_id, $attach_id );
			}


  	 	$this->consultant_appointment_customizer_nav_menu();
  	 	$this->consultant_appointment_social_menu();
		update_option('consultant_appointment_demo_imported', true);
	}

	public function consultant_appointment_guide() {
		$display_string = '';
		$return = add_query_arg( array()) ;
		$theme = wp_get_theme( 'consultant-appointment' );
		?>
		<div class="wrapper-info get-stared-page-wrap">
			<div class="wrapper-info-content">
				<div class="buynow__">
					<h2><?php esc_html_e( 'Welcome to Consultant Appointment', 'consultant-appointment' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
					<p><?php esc_html_e('The quick setup wizard will assist you in configuring your new website. This wizard will import the demo content.', 'consultant-appointment'); ?></p>
				</div>
				<div class="buynow_">
					<a target="_blank" class="buynow_themepage" href="<?php echo esc_url('https://www.revolutionwp.com/products/consultant-appointment-wordpress-theme'); ?>"><?php echo esc_html__('Go Premium Now', 'consultant-appointment'); ?></a>
				</div>
			</div>
			<div class="tab-sec theme-option-tab">
				<div id="demo_offer" class="tabcontent open">
					<?php $this->wizard_page(); ?>
				</div>
			</div>
		</div>
	<?php }
}